Bug 59290 - kjobviewer crash
kjobviewer crash
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kdebase (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-04 13:51 EST by Tim Waugh
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-04 13:51:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2002-02-04 13:51:32 EST
Description of Problem:
I tried to print something from konqueror and got this crash.

Version-Release number of selected component (if applicable):
kdebase-3.0.0-0.cvs20020129.1

How Reproducible:
Don't know.

Steps to Reproduce:
1. Print a web page.

Actual Results:
(no debugging symbols found)...[New Thread 1024 (LWP 11280)]
0x40fdcff9 in wait4 () from /lib/i686/libc.so.6
#0  0x40fdcff9 in wait4 () from /lib/i686/libc.so.6
#1  0x4106b690 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40e16483 in waitpid () from /lib/i686/libpthread.so.0
#3  0x40608aa9 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#4  0x40e147fc in pthread_sighandler () from /lib/i686/libpthread.so.0
#5  <signal handler called>
#6  0x080e76b4 in ?? ()
#7  0x412d759d in KMJobViewer::refresh(bool) ()
   from /usr/lib/libkdeprint_management.so.4
#8  0x40021627 in KJobViewerApp::slotTimer() () from /usr/lib/kjobviewer.so
#9  0x40021b88 in KJobViewerApp::qt_invoke(int, QUObject*) ()
   from /usr/lib/kjobviewer.so
#10 0x408ba51b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#11 0x408ba3ef in QObject::activate_signal(int) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#12 0x412da80c in KMJobViewer::refreshClicked() ()
   from /usr/lib/libkdeprint_management.so.4
#13 0x412d9c3d in KMJobViewer::triggerRefresh() ()
   from /usr/lib/libkdeprint_management.so.4
#14 0x412d6eae in KMJobViewer::setPrinter(QString const&) ()
   from /usr/lib/libkdeprint_management.so.4
#15 0x400211f1 in KJobViewerApp::initialize() () from /usr/lib/kjobviewer.so
#16 0x400210cf in KJobViewerApp::newInstance() () from /usr/lib/kjobviewer.so
#17 0x40622a0e in KUniqueApplication::processDelayed() ()
   from /usr/lib/libkdecore.so.4
#18 0x40622d58 in KUniqueApplication::qt_invoke(int, QUObject*) ()
   from /usr/lib/libkdecore.so.4
#19 0x40021b24 in KJobViewerApp::qt_invoke(int, QUObject*) ()
   from /usr/lib/kjobviewer.so
#20 0x408ba51b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#21 0x40b5fed2 in QSignal::signal(QVariant const&) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#22 0x408d3078 in QSignal::activate() () from /usr/lib/qt3/lib/libqt-mt.so.3
#23 0x408da143 in QSingleShotTimer::event(QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#24 0x4086bce4 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#25 0x4086b5c3 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#26 0x40599bc6 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#27 0x40814eab in qt_activate_timers() () from /usr/lib/qt3/lib/libqt-mt.so.3
#28 0x4081297e in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#29 0x4086d2c0 in QApplication::enter_loop() ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#30 0x408125bd in QApplication::exec() () from/usr/lib/qt3/lib/libqt-mt.so.3
#31 0x40021d31 in main () from /usr/lib/kjobviewer.so
#32 0x0804d10e in strcpy ()
#33 0x0804de4a in strcpy ()
#34 0x0804e333 in strcpy ()
#35 0x0804f0f0 in strcpy ()
#36 0x40f3c108 in __libc_start_main () from /lib/i686/libc.so.6
Comment 1 Bernhard Rosenkraenzer 2002-02-12 12:05:12 EST
 Fixed in 0.cvs20020211.1

Note You need to log in before you can comment on or make changes to this bug.